var config = {

	nbaServerConfig: {
		version: 'v2',
		metaServiceUrls : {
			restServices: 'metadata/getRestServices',
			getPaths: 'metadata/getPaths',
			getFieldInfo: 'metadata/getFieldInfo',
			referenceDoc: 'reference-doc'
		}
	},

	queryOperators: ['=','EQUALS','EQUALS_IC', 'STARTS_WITH','STARTS_WITH_IC','>','GT','>=','GTE','IN','LIKE','<','LT','<=','LTE','BETWEEN','MATCHES','!=','NOT_EQUALS','NOT_EQUALS_IC','NOT_STARTS_WITH','NOT_STARTS_WITH_IC','NOT_IN','NOT_LIKE','NOT_BETWEEN','NOT_MATCHES'],

	nameResolutionRequestSearchTypes: ['EXACT','WHOLE_WORDS','STARTS_WITH','CONTAINS'],

	// codeBits have either code right here, or in a template (see templates.html). altGr enables insertion by pressing altGr + some key
	codeBits: [
		{ label: "query", template: "codeBit_query", altGr: 121 },
		{ label: "query (big)", template: "codeBit_query_big" },
		{ label: "specimen query w/ name resolution", template: "codeBit_query_name_resolution" },
		{ label: "query (\"human readable\" &#128065;)", code: '__FIELD__=__VALUE__&__FIELD__=__VALUE__&_from=0&_size=100&_logicalOperator=AND&_fields=__FIELD__,__FIELD__&_ignoreCase=true' },
		{ label: "size 100 (stand alone clause)", code: '{ "size" : 100 }', altGr: 120 },
	],

	insertableElements: [
		{ label: "condition", property: "conditions", template : "codeBit_condition", repeatable: true },
		{ label: "name resolution clause", property: "nameResolutionRequest", template : "codeBit_nameResolutionRequest" },
		{ label: "logical operator", property: "logicalOperator", code: ' "AND"' },
		{ label: "fields", property: "fields", code: ' [ "__FIELD__"  ]' },
		{ label: "sort fields", property: "sortFields", code: '[ { "path" : "__FIELD__", "sortOrder" : "DESC" } ]' },
		{ label: "from", property: "from", code: ' 0' },
		{ label: "size", property: "size", code: ' 100' },
		{ label: "absent value condition", property: "conditions", code : '{ "field" : "__FIELD__", "operator" : "EQUALS", "value" : null }', repeatable: true },
		{ label: "negation condition (‘not’)", property: "conditions", code : '{  "not": "NOT", "field" : "__FIELD__", "operator" : "EQUALS" }', repeatable: true },
	],

	commentCharacters: ["#","//"],
	defaultCommentCharIndex: 1,
	databasefieldSeparator: String.fromCharCode(23),
	ctrlSpaceNumberOfSpaces: 4,

	// 	you can add extra static services. use the "port" property to define a different port for the selected server.
	staticServices: [
		{ document: "static services", label: "all services", path: "/v2/metadata/getRestServices", noQuery: true }
	],

	// explain-call output: boundary between log info and resultset
	explainLogBoundary: "----------------------- END OF LOG -----------------------",

	// saved 2021.10.04 from https://api.biodiversitydata.nl/v2/metadata/getRestServices (V2.29; 5bf3871ffa6010fb8ad0cca8c1a844f9d0c718f1)
	defaultServiceList: '[{"endPoint":"/","method":"GET","produces":["text/html;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/"},{"endPoint":"/geo/count","method":"GET","produces":["text/plain;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/geo/count"},{"endPoint":"/geo/count","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["text/plain;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/geo/count"},{"endPoint":"/geo/count","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["text/plain;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/geo/count"},{"endPoint":"/geo/countDistinctValues/{field}","method":"GET","produces":["text/plain;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/geo/countDistinctValues/{field}"},{"endPoint":"/geo/countDistinctValues/{field}","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["text/plain;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/geo/countDistinctValues/{field}"},{"endPoint":"/geo/countDistinctValues/{field}","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["text/plain;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/geo/countDistinctValues/{field}"},{"endPoint":"/geo/countDistinctValuesPerGroup/{group}/{field}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/geo/countDistinctValuesPerGroup/{group}/{field}"},{"endPoint":"/geo/countDistinctValuesPerGroup/{group}/{field}","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/geo/countDistinctValuesPerGroup/{group}/{field}"},{"endPoint":"/geo/countDistinctValuesPerGroup/{group}/{field}","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/geo/countDistinctValuesPerGroup/{group}/{field}"},{"endPoint":"/geo/find/{id}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/geo/find/{id}"},{"endPoint":"/geo/findByIds/{ids}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/geo/findByIds/{ids}"},{"endPoint":"/geo/getDistinctValues/{field}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/geo/getDistinctValues/{field}"},{"endPoint":"/geo/getDistinctValues/{field}","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/geo/getDistinctValues/{field}"},{"endPoint":"/geo/getDistinctValues/{field}","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/geo/getDistinctValues/{field}"},{"endPoint":"/geo/getDistinctValuesPerGroup/{group}/{field}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/geo/getDistinctValuesPerGroup/{group}/{field}"},{"endPoint":"/geo/getDistinctValuesPerGroup/{group}/{field}","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/geo/getDistinctValuesPerGroup/{group}/{field}"},{"endPoint":"/geo/getDistinctValuesPerGroup/{group}/{field}","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/geo/getDistinctValuesPerGroup/{group}/{field}"},{"endPoint":"/geo/getGeoJsonForLocality/{locality}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/geo/getGeoJsonForLocality/{locality}"},{"endPoint":"/geo/metadata/getFieldInfo","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/geo/metadata/getFieldInfo"},{"endPoint":"/geo/metadata/getPaths","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/geo/metadata/getPaths"},{"endPoint":"/geo/metadata/getSetting/{name}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/geo/metadata/getSetting/{name}"},{"endPoint":"/geo/metadata/getSettings","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/geo/metadata/getSettings"},{"endPoint":"/geo/metadata/isOperatorAllowed/{field}/{operator}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/geo/metadata/isOperatorAllowed/{field}/{operator}"},{"endPoint":"/geo/query","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/geo/query"},{"endPoint":"/geo/query","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/geo/query"},{"endPoint":"/geo/query","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/geo/query"},{"endPoint":"/import-files","method":"GET","produces":["application/json"],"url":"https://api.biodiversitydata.nl/v2/import-files"},{"endPoint":"/metadata/getAllowedDateFormats","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/metadata/getAllowedDateFormats"},{"endPoint":"/metadata/getControlledList/AreaClass","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/metadata/getControlledList/AreaClass"},{"endPoint":"/metadata/getControlledList/License","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/metadata/getControlledList/License"},{"endPoint":"/metadata/getControlledList/LicenseType","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/metadata/getControlledList/LicenseType"},{"endPoint":"/metadata/getControlledList/RelationType","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/metadata/getControlledList/RelationType"},{"endPoint":"/metadata/getControlledList/Sex","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/metadata/getControlledList/Sex"},{"endPoint":"/metadata/getControlledList/SpatialDatum","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/metadata/getControlledList/SpatialDatum"},{"endPoint":"/metadata/getControlledList/SpecimenTypeStatus","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/metadata/getControlledList/SpecimenTypeStatus"},{"endPoint":"/metadata/getControlledList/TaxonomicStatus","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/metadata/getControlledList/TaxonomicStatus"},{"endPoint":"/metadata/getControlledLists","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/metadata/getControlledLists"},{"endPoint":"/metadata/getRestServices","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/metadata/getRestServices"},{"endPoint":"/metadata/getSetting/{name}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/metadata/getSetting/{name}"},{"endPoint":"/metadata/getSettings","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/metadata/getSettings"},{"endPoint":"/metadata/getSourceSystems","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/metadata/getSourceSystems"},{"endPoint":"/multimedia/count","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/multimedia/count"},{"endPoint":"/multimedia/count","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/multimedia/count"},{"endPoint":"/multimedia/count","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/multimedia/count"},{"endPoint":"/multimedia/countDistinctValues/{field}","method":"GET","produces":["text/plain;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/multimedia/countDistinctValues/{field}"},{"endPoint":"/multimedia/countDistinctValues/{field}","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["text/plain;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/multimedia/countDistinctValues/{field}"},{"endPoint":"/multimedia/countDistinctValues/{field}","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["text/plain;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/multimedia/countDistinctValues/{field}"},{"endPoint":"/multimedia/countDistinctValuesPerGroup/{group}/{field}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/multimedia/countDistinctValuesPerGroup/{group}/{field}"},{"endPoint":"/multimedia/countDistinctValuesPerGroup/{group}/{field}","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/multimedia/countDistinctValuesPerGroup/{group}/{field}"},{"endPoint":"/multimedia/countDistinctValuesPerGroup/{group}/{field}","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/multimedia/countDistinctValuesPerGroup/{group}/{field}"},{"endPoint":"/multimedia/download","method":"GET","produces":["application/x-ndjson;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/multimedia/download"},{"endPoint":"/multimedia/download","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["application/x-ndjson;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/multimedia/download"},{"endPoint":"/multimedia/download","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["application/x-ndjson;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/multimedia/download"},{"endPoint":"/multimedia/find/{id}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/multimedia/find/{id}"},{"endPoint":"/multimedia/findByIds/{ids}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/multimedia/findByIds/{ids}"},{"endPoint":"/multimedia/getDistinctValues/{field}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/multimedia/getDistinctValues/{field}"},{"endPoint":"/multimedia/getDistinctValues/{field}","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/multimedia/getDistinctValues/{field}"},{"endPoint":"/multimedia/getDistinctValues/{field}","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/multimedia/getDistinctValues/{field}"},{"endPoint":"/multimedia/getDistinctValuesPerGroup/{group}/{field}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/multimedia/getDistinctValuesPerGroup/{group}/{field}"},{"endPoint":"/multimedia/getDistinctValuesPerGroup/{group}/{field}","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/multimedia/getDistinctValuesPerGroup/{group}/{field}"},{"endPoint":"/multimedia/getDistinctValuesPerGroup/{group}/{field}","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/multimedia/getDistinctValuesPerGroup/{group}/{field}"},{"endPoint":"/multimedia/metadata/getFieldInfo","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/multimedia/metadata/getFieldInfo"},{"endPoint":"/multimedia/metadata/getPaths","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/multimedia/metadata/getPaths"},{"endPoint":"/multimedia/metadata/getSetting/{name}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/multimedia/metadata/getSetting/{name}"},{"endPoint":"/multimedia/metadata/getSettings","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/multimedia/metadata/getSettings"},{"endPoint":"/multimedia/metadata/isOperatorAllowed/{field}/{operator}","method":"GET","produces":["text/plain;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/multimedia/metadata/isOperatorAllowed/{field}/{operator}"},{"endPoint":"/multimedia/query","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/multimedia/query"},{"endPoint":"/multimedia/query","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/multimedia/query"},{"endPoint":"/multimedia/query","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/multimedia/query"},{"endPoint":"/multimedia/queryWithNameResolution","method":"GET","produces":["application/json;charset=UTF-8","text/plain"],"url":"https://api.biodiversitydata.nl/v2/multimedia/queryWithNameResolution"},{"endPoint":"/multimedia/queryWithNameResolution","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["application/json;charset=UTF-8","text/plain"],"url":"https://api.biodiversitydata.nl/v2/multimedia/queryWithNameResolution"},{"endPoint":"/multimedia/queryWithNameResolution","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["application/json;charset=UTF-8","text/plain"],"url":"https://api.biodiversitydata.nl/v2/multimedia/queryWithNameResolution"},{"endPoint":"/ping","method":"GET","produces":["text/plain"],"url":"https://api.biodiversitydata.nl/v2/ping"},{"endPoint":"/reference-doc","method":"GET","produces":["application/json"],"url":"https://api.biodiversitydata.nl/v2/reference-doc"},{"endPoint":"/release-notes","method":"GET","produces":["text/plain;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/release-notes"},{"endPoint":"/specimen/count","method":"GET","produces":["text/plain;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/count"},{"endPoint":"/specimen/count","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["text/plain;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/count"},{"endPoint":"/specimen/count","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["text/plain;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/count"},{"endPoint":"/specimen/countDistinctValues/{field}","method":"GET","produces":["text/plain;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/countDistinctValues/{field}"},{"endPoint":"/specimen/countDistinctValues/{field}","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["text/plain;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/countDistinctValues/{field}"},{"endPoint":"/specimen/countDistinctValues/{field}","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["text/plain;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/countDistinctValues/{field}"},{"endPoint":"/specimen/countDistinctValuesPerGroup/{group}/{field}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/countDistinctValuesPerGroup/{group}/{field}"},{"endPoint":"/specimen/countDistinctValuesPerGroup/{group}/{field}","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/countDistinctValuesPerGroup/{group}/{field}"},{"endPoint":"/specimen/countDistinctValuesPerGroup/{group}/{field}","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/countDistinctValuesPerGroup/{group}/{field}"},{"endPoint":"/specimen/download","method":"GET","produces":["application/x-ndjson;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/download"},{"endPoint":"/specimen/download","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["application/x-ndjson;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/download"},{"endPoint":"/specimen/download","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["application/x-ndjson;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/download"},{"endPoint":"/specimen/dwca/getDataSet/{dataset}","method":"GET","produces":["application/zip"],"url":"https://api.biodiversitydata.nl/v2/specimen/dwca/getDataSet/{dataset}"},{"endPoint":"/specimen/dwca/getDataSetNames","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/dwca/getDataSetNames"},{"endPoint":"/specimen/dwca/query","method":"GET","produces":["application/zip"],"url":"https://api.biodiversitydata.nl/v2/specimen/dwca/query"},{"endPoint":"/specimen/dwca/query","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["application/zip"],"url":"https://api.biodiversitydata.nl/v2/specimen/dwca/query"},{"endPoint":"/specimen/dwca/query","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["application/zip"],"url":"https://api.biodiversitydata.nl/v2/specimen/dwca/query"},{"endPoint":"/specimen/exists/{unitID}","method":"GET","produces":["text/plain;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/exists/{unitID}"},{"endPoint":"/specimen/find/{id}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/find/{id}"},{"endPoint":"/specimen/findByIds/{ids}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/findByIds/{ids}"},{"endPoint":"/specimen/findByUnitID/{unitID}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/findByUnitID/{unitID}"},{"endPoint":"/specimen/getDistinctValues/{field}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/getDistinctValues/{field}"},{"endPoint":"/specimen/getDistinctValues/{field}","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/getDistinctValues/{field}"},{"endPoint":"/specimen/getDistinctValues/{field}","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/getDistinctValues/{field}"},{"endPoint":"/specimen/getDistinctValuesPerGroup/{group}/{field}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/getDistinctValuesPerGroup/{group}/{field}"},{"endPoint":"/specimen/getDistinctValuesPerGroup/{group}/{field}","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/getDistinctValuesPerGroup/{group}/{field}"},{"endPoint":"/specimen/getDistinctValuesPerGroup/{group}/{field}","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/getDistinctValuesPerGroup/{group}/{field}"},{"endPoint":"/specimen/groupByScientificName","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/groupByScientificName"},{"endPoint":"/specimen/groupByScientificName","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/groupByScientificName"},{"endPoint":"/specimen/groupByScientificName","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/groupByScientificName"},{"endPoint":"/specimen/metadata/getFieldInfo","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/metadata/getFieldInfo"},{"endPoint":"/specimen/metadata/getPaths","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/metadata/getPaths"},{"endPoint":"/specimen/metadata/getSetting/{name}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/metadata/getSetting/{name}"},{"endPoint":"/specimen/metadata/getSettings","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/metadata/getSettings"},{"endPoint":"/specimen/metadata/isOperatorAllowed/{field}/{operator}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/metadata/isOperatorAllowed/{field}/{operator}"},{"endPoint":"/specimen/query","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/query"},{"endPoint":"/specimen/query","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/query"},{"endPoint":"/specimen/query","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/specimen/query"},{"endPoint":"/specimen/queryWithNameResolution","method":"GET","produces":["application/json;charset=UTF-8","text/plain"],"url":"https://api.biodiversitydata.nl/v2/specimen/queryWithNameResolution"},{"endPoint":"/specimen/queryWithNameResolution","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["application/json;charset=UTF-8","text/plain"],"url":"https://api.biodiversitydata.nl/v2/specimen/queryWithNameResolution"},{"endPoint":"/specimen/queryWithNameResolution","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["application/json;charset=UTF-8","text/plain"],"url":"https://api.biodiversitydata.nl/v2/specimen/queryWithNameResolution"},{"endPoint":"/taxon/count","method":"GET","produces":["text/plain;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/count"},{"endPoint":"/taxon/count","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["text/plain;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/count"},{"endPoint":"/taxon/count","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["text/plain;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/count"},{"endPoint":"/taxon/countDistinctValues/{field}","method":"GET","produces":["text/plain;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/countDistinctValues/{field}"},{"endPoint":"/taxon/countDistinctValues/{field}","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["text/plain;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/countDistinctValues/{field}"},{"endPoint":"/taxon/countDistinctValues/{field}","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["text/plain;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/countDistinctValues/{field}"},{"endPoint":"/taxon/countDistinctValuesPerGroup/{group}/{field}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/countDistinctValuesPerGroup/{group}/{field}"},{"endPoint":"/taxon/countDistinctValuesPerGroup/{group}/{field}","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/countDistinctValuesPerGroup/{group}/{field}"},{"endPoint":"/taxon/countDistinctValuesPerGroup/{group}/{field}","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/countDistinctValuesPerGroup/{group}/{field}"},{"endPoint":"/taxon/download","method":"GET","produces":["application/x-ndjson;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/download"},{"endPoint":"/taxon/download","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["application/x-ndjson;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/download"},{"endPoint":"/taxon/download","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["application/x-ndjson;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/download"},{"endPoint":"/taxon/dwca/getDataSet/{dataset}","method":"GET","produces":["application/zip"],"url":"https://api.biodiversitydata.nl/v2/taxon/dwca/getDataSet/{dataset}"},{"endPoint":"/taxon/dwca/getDataSetNames","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/dwca/getDataSetNames"},{"endPoint":"/taxon/dwca/query","method":"GET","produces":["application/zip"],"url":"https://api.biodiversitydata.nl/v2/taxon/dwca/query"},{"endPoint":"/taxon/dwca/query","method":"POST","produces":["application/zip"],"url":"https://api.biodiversitydata.nl/v2/taxon/dwca/query"},{"endPoint":"/taxon/dwca/query","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["application/zip"],"url":"https://api.biodiversitydata.nl/v2/taxon/dwca/query"},{"endPoint":"/taxon/find/{id}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/find/{id}"},{"endPoint":"/taxon/findByIds/{ids}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/findByIds/{ids}"},{"endPoint":"/taxon/getDistinctValues/{field}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/getDistinctValues/{field}"},{"endPoint":"/taxon/getDistinctValues/{field}","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/getDistinctValues/{field}"},{"endPoint":"/taxon/getDistinctValues/{field}","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/getDistinctValues/{field}"},{"endPoint":"/taxon/getDistinctValuesPerGroup/{group}/{field}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/getDistinctValuesPerGroup/{group}/{field}"},{"endPoint":"/taxon/getDistinctValuesPerGroup/{group}/{field}","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/getDistinctValuesPerGroup/{group}/{field}"},{"endPoint":"/taxon/getDistinctValuesPerGroup/{group}/{field}","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/getDistinctValuesPerGroup/{group}/{field}"},{"endPoint":"/taxon/groupByScientificName","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/groupByScientificName"},{"endPoint":"/taxon/groupByScientificName","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/groupByScientificName"},{"endPoint":"/taxon/groupByScientificName","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/groupByScientificName"},{"endPoint":"/taxon/metadata/getFieldInfo","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/metadata/getFieldInfo"},{"endPoint":"/taxon/metadata/getPaths","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/metadata/getPaths"},{"endPoint":"/taxon/metadata/getSetting/{name}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/metadata/getSetting/{name}"},{"endPoint":"/taxon/metadata/getSettings","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/metadata/getSettings"},{"endPoint":"/taxon/metadata/isOperatorAllowed/{field}/{operator}","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/metadata/isOperatorAllowed/{field}/{operator}"},{"endPoint":"/taxon/query","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/query"},{"endPoint":"/taxon/query","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/query"},{"endPoint":"/taxon/query","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/taxon/query"},{"endPoint":"/{type:(specimen|multimedia|taxon)}/batchQuery/","method":"GET","produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/{type:(specimen|multimedia|taxon)}/batchQuery/"},{"endPoint":"/{type:(specimen|multimedia|taxon)}/batchQuery/","method":"POST","consumes":["application/json;charset=UTF-8"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/{type:(specimen|multimedia|taxon)}/batchQuery/"},{"endPoint":"/{type:(specimen|multimedia|taxon)}/batchQuery/","method":"POST","consumes":["application/x-www-form-urlencoded"],"produces":["application/json;charset=UTF-8"],"url":"https://api.biodiversitydata.nl/v2/{type:(specimen|multimedia|taxon)}/batchQuery/"}]',

	queryGroupRegExp: /\[([^[]*)\]/,
}